POST/shorts.v1alpha1.StockService/GetPeerComparison

GetPeerComparison

Get peer comparison for a stock within its industry

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for GetPeerComparison RPC

limitinteger <int32>

Number of peers (default 5) (proto int32)

stockCodestring

ASX stock code to compare (proto string)

Responses

200Success
application/json
object

Response for GetPeerComparison RPC

industrystring

Common industry (proto string)

peersarray

Industry peers (proto shorts.v1alpha1.PeerStock)

Array Items:
subjectobject

The stock being compared (proto shorts.v1alpha1.PeerStock)

companyNamestring

(proto string)

dividendYieldnumber <double>

(proto double)

industrystring

(proto string)

logoUrlstring

Company logo URL (GCS-hosted, may be empty) (proto string)

marketCapnumber <double>

(proto double)

peRationumber <double>

(proto double)

priceChange1mnumber <double>

1-month price change % (proto double)

shortPositionPercentnumber <double>

(proto double)

stockCodestring

(proto string)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetPeerComparison" \
  -H "Content-Type: application/json" \
  -d '{
  "limit": 0,
  "stockCode": "string"
}'